Bug 206482 - Update security/libsodium to 1.0.8
Summary: Update security/libsodium to 1.0.8
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Vsevolod Stakhov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-01-22 05:09 UTC by w.schwarzenfeld
Modified: 2016-03-23 09:58 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (vsevolod)


Attachments
svn-diff_libsodium-1.0.8 (1.75 KB, patch)
2016-01-22 05:09 UTC, w.schwarzenfeld
no flags Details | Diff
portlint-libsodium-1.0.8 (130 bytes, text/plain)
2016-01-22 05:09 UTC, w.schwarzenfeld
no flags Details
poudriere-libsodium_1.0.8.log (32.91 KB, text/x-log)
2016-01-22 05:10 UTC, w.schwarzenfeld
no flags Details
Patch to update port and bump all PORTREVISIONs of ports whihc uses libsodium (13.79 KB, patch)
2016-03-21 19:26 UTC, Lev A. Serebryakov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description w.schwarzenfeld 2016-01-22 05:09:18 UTC
Created attachment 165933 [details]
svn-diff_libsodium-1.0.8
Comment 1 w.schwarzenfeld 2016-01-22 05:09:49 UTC
Created attachment 165934 [details]
portlint-libsodium-1.0.8
Comment 2 w.schwarzenfeld 2016-01-22 05:10:29 UTC
Created attachment 165935 [details]
poudriere-libsodium_1.0.8.log
Comment 3 w.schwarzenfeld 2016-01-22 05:11:24 UTC
Update libsodium to 1.0.8
ChangeLog:
https://github.com/jedisct1/libsodium/releases
Comment 4 w.schwarzenfeld 2016-01-22 13:15:21 UTC
see dependy problems, I close it.
Comment 5 w.schwarzenfeld 2016-01-22 13:19:37 UTC
Sorry, was a misunderstood - it's ok, re-open.
Comment 6 Lev A. Serebryakov freebsd_committer 2016-03-21 19:26:44 UTC
Created attachment 168462 [details]
Patch to update port and bump all PORTREVISIONs of ports whihc uses libsodium

Patch to update port and bump all PORTREVISIONs of ports which uses libsodium because shared library version changed.
Comment 7 Lev A. Serebryakov freebsd_committer 2016-03-21 19:27:04 UTC
Please, commit it :)
Comment 8 commit-hook freebsd_committer 2016-03-23 09:21:01 UTC
A commit references this bug:

Author: vsevolod
Date: Wed Mar 23 09:20:39 UTC 2016
New revision: 411691
URL: https://svnweb.freebsd.org/changeset/ports/411691

Log:
  - Update libsodium to 1.0.8
  - Bump revisions of all dependant ports

  PR:		206482
  Submitted by:	lev, w.schwarzenfeld@aon.at

Changes:
  head/devel/ipython/Makefile
  head/devel/py-ipdb/Makefile
  head/dns/curvedns/Makefile
  head/dns/dnscrypt-proxy/Makefile
  head/dns/dnscrypt-wrapper/Makefile
  head/finance/py-python-obelisk/Makefile
  head/ftp/pure-ftpd/Makefile
  head/math/octave-forge/Makefile
  head/math/octave-forge-zeromq/Makefile
  head/net/czmq/Makefile
  head/net/libzmq4/Makefile
  head/net/pecl-zmq/Makefile
  head/net/py-matrix-synapse/Makefile
  head/net/py-pyzmq/Makefile
  head/net-im/qTox/Makefile
  head/net-im/tox/Makefile
  head/net-im/toxic/Makefile
  head/net-im/uTox/Makefile
  head/security/fastd/Makefile
  head/security/fastd-devel/Makefile
  head/security/libsodium/Makefile
  head/security/libsodium/distinfo
  head/security/libsodium/pkg-plist
  head/security/libuecc/Makefile
  head/security/p5-Crypt-Sodium/Makefile
  head/security/py-libnacl/Makefile
  head/security/py-plaso/Makefile
  head/security/py-pymacaroons-pynacl/Makefile
  head/security/py-pynacl/Makefile
  head/security/py-rekall/Makefile
  head/security/py-rekall_gui/Makefile
  head/security/py-signedjson/Makefile
  head/security/reop/Makefile
  head/sysutils/py-halite/Makefile
  head/sysutils/py-salt/Makefile
  head/sysutils/rubygem-smart_proxy_salt/Makefile
Comment 9 Vsevolod Stakhov freebsd_committer 2016-03-23 09:58:37 UTC
Committed, thank you!